# Get group channel by id

Retrieves a channel within the current group by its identifier. Access to private channels (or channels in private groups) is restricted to group members; outsiders receive a 404.

Endpoint: GET /api/v1/groups/{groupId}/channels/{channelId}
Version: 1.0
Security: 

## Path parameters:

  - `channelId` (string, required)
    The unique identifier of the channel to retrieve
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `groupId` (string, required)
    The unique identifier of the group
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Query parameters:

  - `full` (boolean,null)
    If true return also summary, stats, header and fields. Default false.

  - `htmlContent` (any)
    Returns text as html if true or original text if false. Applicable only to local posts and users. Default is true.


